# The GoogleApis Ruby Gem

[![Gem Version](http://img.shields.io/gem/v/google_apis.svg)][gem]
[![Build Status](https://travis-ci.org/zywx/google_apis.png?branch=master)][travis]
[![Dependency Status](https://gemnasium.com/zywx/google_apis.png)][gemnasium]
[![Code Climate](https://codeclimate.com/github/zywx/google_apis.png)][codeclimate]
[![Coverage Status](https://coveralls.io/repos/zywx/google_apis/badge.png)][coveralls]

[gem]: https://rubygems.org/gems/google_apis
[travis]: https://travis-ci.org/zywx/google_apis
[gemnasium]: https://gemnasium.com/zywx/google_apis
[codeclimate]: https://codeclimate.com/github/zywx/google_apis
[coveralls]: https://coveralls.io/r/zywx/google_apis
[gittip]: https://www.gittip.com/gems/

Provides client libraries for Google APIs

## Installation

Add this line to your application's Gemfile:

    gem 'google_apis'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install google_apis

## Basic Usage

To make a request, you need to construct a service client, for example with Freebase (http://www.freebase.com)

    freebase = GoogleAPIS::Freebase.new
    freebase = GoogleAPIS.freebase # helper method returns a new client


## Contributing

1. Fork it ( http://github.com/zywx/google_apis/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
