# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'google_apis/version'

Gem::Specification.new do |spec|
  spec.name          = "google_apis"
  spec.version       = GoogleApis::VERSION
  spec.authors       = ["Fabien G."]
  spec.email         = ["fabien@sent.com"]
  spec.summary       = %q{Google APIs SDK.}
  spec.description   = %q{Provides client libraries for Google APIs.}
  spec.homepage      = "http://github.com/zywx/google_apis"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
end
